### Type parameters

- #### A

- #### B

- #### C

### Hierarchy

- Stream<C>
  - SnapshotWithStream

## Index

### Constructors

- constructor

### Properties

- behavior
- eventListeners
- fn

### Accessors

- def

### Methods

- filter
- map
- mapTo
- merge
- publish
- push
- scan
- subscribe

## Constructors

### constructor

- new SnapshotWithStream(fn: function, behavior: Behavior<B>, stream: Stream<A>): SnapshotWithStream

- - Defined in Stream.ts:115

  #### Parameters

  - ##### fn: function

    - - (a: A, b: B): C

      - #### Parameters

        - ##### a: A

        - ##### b: B

        #### Returns C

  - ##### behavior: Behavior<B>

  - ##### stream: Stream<A>

  #### Returns SnapshotWithStream

## Properties

### behavior

behavior: Behavior<B>

- Defined in Stream.ts:118

### eventListeners

eventListeners: Consumer<C>[] = []

Inherited from Stream.eventListeners

- Defined in Stream.ts:12

### fn

fn: function

- Defined in Stream.ts:117

#### Type declaration

- - (a: A, b: B): C

  - #### Parameters

    - ##### a: A

    - ##### b: B

    #### Returns C

## Accessors

### def

def:

Inherited from Stream.def

- Defined in Stream.ts:24

## Methods

### filter

- filter(fn: FilterFunction): FilterStream<C>

- Inherited from Stream.filter

  - Defined in Stream.ts:56

  #### Parameters

  - ##### fn: FilterFunction

  #### Returns FilterStream<C>

### map

- map<B>(fn: MapFunction): Stream<B>

- Inherited from Stream.map

  - Defined in Stream.ts:37

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  #### Returns Stream<B>

### mapTo

- mapTo<B>(val: B): Stream<B>

- Inherited from Stream.mapTo

  - Defined in Stream.ts:43

  #### Type parameters

  - #### B

  #### Parameters

  - ##### val: B

  #### Returns Stream<B>

### merge

- merge<B>(otherStream: Stream<B>): Stream<A | B>

- Inherited from Stream.merge

  - Defined in Stream.ts:49

  #### Type parameters

  - #### B

  #### Parameters

  - ##### otherStream: Stream<B>

  #### Returns Stream<A | B>

### publish

- publish(a: C): void

- Inherited from Stream.publish

  - Defined in Stream.ts:15

  #### Parameters

  - ##### a: C

  #### Returns void

### push

- push(a: A): void

- Overwrites Stream.push

  - Defined in Stream.ts:125

  #### Parameters

  - ##### a: A

  #### Returns void

### scan

- scan<B>(fn: ScanFunction, init: B): Behavior<Behavior<B>>

- Inherited from Stream.scan

  - Defined in Stream.ts:62

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: ScanFunction

  - ##### init: B

  #### Returns Behavior<Behavior<B>>

### subscribe

- subscribe(fn: SubscribeFunction): void

- Inherited from Stream.subscribe

  - Defined in Stream.ts:31

  #### Parameters

  - ##### fn: SubscribeFunction

  #### Returns void

Generated using TypeDoc